GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_channel_filter Struct Reference

`#include <channel_stack.h>`

## Data Fields
void(* | start_transport_stream_op )(grpc_call_element *elem, grpc_transport_stream_op *op)
void(* | start_transport_op )(grpc_channel_element *elem, grpc_transport_op *op)
size_t | sizeof_call_data
void(* | init_call_elem )(grpc_call_element *elem, const void *server_transport_data, grpc_transport_stream_op *initial_op)
void(* | destroy_call_elem )(grpc_call_element *elem)
size_t | sizeof_channel_data
void(* | init_channel_elem )(grpc_channel_element *elem, grpc_channel *master, const grpc_channel_args *args, grpc_mdctx *metadata_context, int is_first, int is_last)
void(* | destroy_channel_elem )(grpc_channel_element *elem)
char *(* | get_peer )(grpc_call_element *elem)
const char * | name

## Field Documentation

void(* grpc_channel_filter::destroy_call_elem)(grpc_call_element *elem)

void(* grpc_channel_filter::destroy_channel_elem)(grpc_channel_element *elem)

char*(* grpc_channel_filter::get_peer)(grpc_call_element *elem)

void(* grpc_channel_filter::init_call_elem)(grpc_call_element *elem, const void *server_transport_data, grpc_transport_stream_op *initial_op)

void(* grpc_channel_filter::init_channel_elem)(grpc_channel_element *elem, grpc_channel *master, const grpc_channel_args *args, grpc_mdctx *metadata_context, int is_first, int is_last)

const char* grpc_channel_filter::name

size_t grpc_channel_filter::sizeof_call_data

size_t grpc_channel_filter::sizeof_channel_data

void(* grpc_channel_filter::start_transport_op)(grpc_channel_element *elem, grpc_transport_op *op)

void(* grpc_channel_filter::start_transport_stream_op)(grpc_call_element *elem, grpc_transport_stream_op *op)

The documentation for this struct was generated from the following file:

- src/core/channel/channel_stack.h